<template>
  <div
    class="flex justify-center"
    :style="`background: url(${backgroupdImage.ImagePath}) center/cover no-repeat`"
  >
    <div
      class="w-[475px] mx-auto h-screen bg-background3 max-h-screen overflow-y-hidden"
    >
      <header-pure v-if="except"></header-pure>
      <div class="pure-desktop-content" :class="$route.path.replace('/', '')">
        <slot />
      </div>
    </div>
  </div>
</template>
<script lang="ts">
import _ from "lodash";
import { defineComponent, computed } from "vue";
import { IThemePropertiesFromApi } from "~~/models/companyThemePropertiesRespone";
import { store } from "~~/store";

export default defineComponent({
  name: "App",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const authentication = computed(() => store.state.auth);
    const isLoading = computed(() => store.state.isThemePropertyLoading);
    const isGameLoading = computed(() => store.state.isGameUpdateLoading);
    const route = useRoute();
    const themeAllowedRoutes = [
      "/",
      "/login",
      "/games",
      "/sports",
      "/game-popup",
    ];
    const array: Array<string> = ["login"];
    const tabSelected = computed(() =>
      _.replace(
        _.replace(route.path.split("/")[1], "-", ""),
        "/",
        ""
      ).toLowerCase()
    );
    const except = computed(() => !_.includes(array, tabSelected.value));
    const backgroupdImage = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "background_image"
        )
    );
    const handleRoute = () => {
      const currentRoute = route.path;
      const isAllowed = Boolean(
        themeAllowedRoutes.find((allowedRoute) =>
          allowedRoute.includes(currentRoute)
        )
      );
      if (!isAllowed) navigateTo("/");
    };

    watch(
      () => route.path,
      () => handleRoute
    );

    return {
      themeProperties,
      isLoading,
      authentication,
      isGameLoading,
      except,
      backgroupdImage,
    };
  },
});
</script>
<style lang="scss">
//@import "@/public/mobile/common.scss";
</style>

<style scoped lang="css">
:deep(.sports .protected-view) {
  overflow: unset;
}
:deep(.games .protected-view)::-webkit-scrollbar {
  width: 5px;
}
:deep(.games .protected-view)::-webkit-scrollbar-thumb {
  background: var(--secondary);
  border-radius: 10px;
}
:deep(.games .protected-view)::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 5px transparent;
  box-shadow: inset 0 0 5px transparent;
  border-radius: 10px;
}
</style>

<style lang="postcss" scoped>
:deep(.el-collapse-item__wrap),
:deep(.el-collapse-item__header) {
  border-bottom: unset;
}
:deep(.el-icon.el-collapse-item__arrow) {
  display: none;
}
.pure-desktop-content {
  overflow-y: auto;
  height: 100vh;
  -ms-overflow-style: none;
  scrollbar-width: none;
}
.pure-desktop-content::-webkit-scrollbar {
  display: none;
}
</style>
